2013-08-24  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version for 0.3.2

2013-08-24  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.2.x' into 0.3.x

2013-08-24  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.1.x' into 0.2.x

2013-08-24  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge commit '57f81f1' into 0.1.x

2013-08-24  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Advertise support for version/* mutations and submit/{coinbase,truncate} abbreviations

2013-06-25  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.2.x' into 0.3.x

2013-06-25  Luke Dashjr  <luke-jr+git@utopios.org>

	* Null-Merge branch '0.2.x' (early part) into 0.3.x

2013-06-25  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.1.x' into 0.2.x

2013-06-25  Luke Dashjr  <luke-jr+git@utopios.org>

	* Null-Merge branch '0.1.x' (early part) into 0.2.x

2013-06-25  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge commit '17d6193' into 0.1.x

2013-06-25  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: blktmpl_add_* returns a const char * for errors, not false (for template already populated)

2013-06-13  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version for 0.1.4

2013-06-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Add missing copyright headers

2013-06-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Add missing copyright headers

2013-06-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Add missing copyright headers

2013-05-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.2.x'

2013-05-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.1.x' into 0.2.x

2013-05-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Install header for libblkmaker_jansson

2013-05-01  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge commit 'e39b2ac' into 0.1.x

2013-04-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version and BLKMAKER_VERSION for 0.3.0

2013-04-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Add "foreign" submit function to create a call suitable for a local bitcoind

2013-04-03  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge commit 'e39b2ac'

2013-04-03  Luke Dashjr  <luke-jr+git@utopios.org>

	* Support for finding jansson with pkg-config

2013-01-22  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version for 0.2.2

2012-12-29  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_b58_padcheck'

2012-12-29  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: _blkmk_b58check: Check that zero-padding on base58check input matches output

2012-12-04  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version for 0.2.1

2012-12-04  Luke Dashjr  <luke-jr+git@utopios.org>

	* blkmk_init_generation2 can assign a boolean on whether it had to create a new coinbase transaction

2012-12-04  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_generate_append'

2012-12-04  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: When providing our own coinbase transaction, enable coinbase mutations

2012-11-17  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_limits_opt'

2012-11-17  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_limits_opt' into 0.1.x

2012-11-17  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: sigoplimit and sizelimit should be optional

2012-11-03  Luke Dashjr  <luke-jr+git@utopios.org>

	* Abstract GETNUM_O and GETNUM_O2 (read optional number) macros

2012-10-28  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version and BLKMAKER_VERSION for 0.2.0

2012-10-28  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch '0.1.x'

2012-10-28  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_cbgen'

2012-10-28  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Build correct pay-to-scripthash script

2012-10-18  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_unistd' into 0.1.x

2012-10-18  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_no_expires' into 0.1.x

2012-10-18  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_capnames_sz' into 0.1.x

2012-10-18  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_getdata_no_cbtxn' into 0.1.x

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_unistd'

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: ssize_t requires unistd.h

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_cbgen'

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Correct allocation check in blkmk_init_generation

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Include required block height in generated coinbase scriptSigs

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Build correct pay-to-pubkeyhash script

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_no_expires'

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: "expires" is optional

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_capnames_sz'

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: sizeof(capnames) is not the count, but the size in bytes of the array (so generally 4x the count); use GBT_CAPABILITY_COUNT

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Merge branch 'bugfix_getdata_no_cbtxn'

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: blkmk_get_data needs to check that templates have a coinbase transaction and return 0 (error) instead of segfaulting

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* New blkmk_init_generation and blkmk_address_to_script functions to create a coinbase transaction if it isn't provided

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Expose dblsha256 wrapper to private.h

2012-10-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Move hexadecimal<->binary functions to hex.c (included via new not-installed private.h)

2012-10-08  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version for 0.1.2

2012-09-30  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: AM_PROG_AR is not recognized by older automake, so only use it when defined

2012-09-29  Luke Dashjr  <luke-jr+git@utopios.org>

	* Use AM_PROG_AR to support Cygwin

2012-09-29  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Correct signed/unsigned warnings

2012-09-27  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Add missing unistd.h include (for ssize_t)

2012-09-27  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bump libtool version for 0.1.1

2012-09-27  Luke Dashjr  <luke-jr+git@utopios.org>

	* Accept const append data into blkmk_append_coinbase_safe

2012-09-27  Luke Dashjr  <luke-jr+git@utopios.org>

	* blkmk_append_coinbase_safe function to append arbitrary data to coinbase scriptSig

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Catch a possible calloc failure

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Explicitly include .libs dir in library path so libtool can relink it for install

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Initial Windows port

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Automake build system

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Makefile: clean example

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* gitignore .*.kate-swp

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Read "expires" key to correct blkmk_work_left

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Check block version for compatibility, honouring version/force and version/reduce mutations if allowed

2012-09-15  Luke Dashjr  <luke-jr+git@utopios.org>

	* Export BIP 22 long polling information (and accept lpid to make requests)

2012-09-14  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Fix extranonce value

2012-09-12  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Correct "id" in requests (the 0 was leaked and the 2 double-freed)

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Consider extranonce rolling in jansson submissions

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Support for extranonce using BIP 23 coinbase/append mutation

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Invert "bits" in testinput.c to restore nonce found

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Support for BIP 23 submit/coinbase and submit/truncate abbreviations

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: Correct internal capnames string array to match enum

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: "bits" must be inverted order for blocks

2012-09-11  Luke Dashjr  <luke-jr+git@utopios.org>

	* Accept const json_t * for blktmpl_add_jansson

2012-09-06  Luke Dashjr  <luke-jr+git@utopios.org>

	* Self-contained test case that finds a share quickly with libgcrypt CPU miner

2012-09-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: libblkmaker_jansson should depend on libblkmaker (core)

2012-09-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Add usage of "maxversion" request, and update capability enum for version/* mutations

2012-09-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Bugfix: No longer double-free in some error conditions

2012-09-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Abstract out my_bin2hex

2012-09-05  Luke Dashjr  <luke-jr+git@utopios.org>

	* Correct default capabilities to reflect current support

2012-09-04  Luke Dashjr  <luke-jr+git@utopios.org>

	* Build example by default

2012-09-04  Luke Dashjr  <luke-jr+git@utopios.org>

	* Initial import
